Ga Terug  
     


Notities

Installatie, Upgrade en Backup (1.5) Plaats hier je vragen over de installatie, upgrade en/of backup van Joomla! 1.5 Ook vragen over het verhuizen van je Joomla! site kun je hier plaatsen

Antwoord
 
Onderwerpopties Weergavemodus
Oud 22 maart 2012, 15:22   #1
moriarty
 
moriarty's Avatar
 
Geregistreerd op: 15 december 2010
Berichten: 21
Bedankjes gegeven: 6
Bedankjes ontvangen: 0
Standaard End of Life 1.5

Ik had even een vraagje over de End of Life van 1.5: Is de end of life op 1 april of op 30 april? Dus valt de maand April nog in de securityrelease van Joomla of niet?

Want een aantal componenten zijn nog niet geheel klaar of stabiel genoeg om een 1.5 over te zetten naar een 2.5. Maar de verwachting is wel dat die met 2-3 weken klaar zijn als ik de blogs zo lees.

Dus ik zit een beetje in spanning voor de laatste paar grote migraties :/
moriarty is offline   Met citaat antwoorden
Oud 27 maart 2012, 02:24   #2
Marijke
Teamleider Taalteam
Gebruikersgroep Enschede
 
Marijke's Avatar
 
Geregistreerd op: 4 maart 2008
Locatie: Enschede
Leeftijd: 54
Berichten: 4.650
Bedankjes gegeven: 470
Bedankjes ontvangen: 1.579
Standaard Re: End of Life 1.5

Heel erg officieel wordt Joomla 1.5 nog tot 24 april ondersteund, dat zou precies 3 maanden na de release van 2.5 zijn.

Niet officieel, maar een beetje inside info. Er wordt op dit moment erg veel gediscussieerd (binnen de JSST) over het wel of niet verlengen van de de ondersteuning voor wat betreft security en daarmee samenhangend de compatibilteit met PHP4. Dat laatste vormt eigenlijk misschien wel het grootste euvel. Joomla 1.5 heeft als minimum vereiste nog steeds PHP4 maar om de veiligheid te garanderen blijkt dat steeds lastiger om goede oplossingen te vinden die compatible zijn met PHP4. En eigenlijk is het zelfs zo dat wanneer de website draait op PHP4 je eerder veiligheidsproblemen tegenkomt die meer gerelateerd zijn aan PHP4 dan aan Joomla 1.5.
Een mogelijkheid zou dus ook nog kunnen zijn dat er wellicht wel veiligheidspatches nog uitkomen maar dat deze niet compatible kunnen zijn of minder veiligheid bieden wanneer de website op PHP4 draait.

Ergo:
Raak niet gelijk in paniek wanneer nu de einddatum in zicht komt. Je site zal niet direct ophouden te draaien en ook niet gelijk een geweldig risico lopen. Maak je wel zorgen wanneer je website nog op PHP4 draait, dan is het echt tijd om minimaal over te gaan op PHP5 (vraag je host indien van toepassing).
Uiteraard is het wel aanbevolen om wanneer enigszins mogelijk te migreren naar 2.5. Niet alleen om de veiligheid maar ook zul je dan naar alle waarschijnlijkheid niet weer een dergelijk lastig migratieproces te hoeven doorlopen.

---------- Bericht toegevoegd op 27 maart 2012 om 02:24 ---------- Vorige bericht was op 23 maart 2012 om 04:01 ----------

Aanvullend is nu ook het voorstel publiek gepost
https://groups.google.com/forum/?fromgroups#!topic/joomla-wg-production/2jY3GXtXNYQ

Dit kan je waarschijnlijk wel zien als de voorloper van een officiële aankondiging dat de ondersteuning van 1.5 nog tot september voortgezet wordt met die aantekening dat een eventuele security patch niet gegarandeerd PHP4 compatibel is.
Voor wie dus nog niet kan of wil migreren, zorg dat je in ieder geval op PHP5 draait en je site daarmee compatibel is dan kan je nog eventjes rustig adem halen

btw. 1.5.26 staat op stapel en is zeer binnenkort te verwachten...

Laatst aangepast door Marijke : 27 maart 2012 om 02:27.

Wijsheid is weten wanneer je dom mag zijn.
Teamleider Taalteam JoomlaCommunity | Joomla Bug Squad Member | Joomla Translation Teams Member
Joomla Translation Coordination Team Member | JSST | OSM Board Member
Twitter | Flickr
Marijke is offline Stuur een bericht via Skype™ naar Marijke   Met citaat antwoorden
De volgende 3 leden bedanken Marijke voor dit nuttige bericht:
bole ( 1 april 2012), eftie (27 maart 2012), moriarty (25 maart 2012)
Oud 27 maart 2012, 14:59   #3
moriarty
 
moriarty's Avatar
 
Geregistreerd op: 15 december 2010
Berichten: 21
Bedankjes gegeven: 6
Bedankjes ontvangen: 0
Standaard Re: End of Life 1.5

Gelukkig is mijn hoster erg goed bezig (Byte) en alles draait allang onder Php5, dus dat is het probleem niet! Maar ik merk dat de conversies van webshops etc nog niet erg lekker gaat (ook met de totale overhaul van Virtuemart), dus wat dat betreft ben ik erg blij met een iets langere doorlooptijd van de security en inmiddels zijn de overige websites al aardig onder weg om voor eind april over te zijn

Dank voor je antwoorden en insight!
moriarty is offline   Met citaat antwoorden
Antwoord

Onderwerpopties
Weergavemodus

Berichting Regels
Je mag niet nieuwe onderwerpen maken
Je mag niet reageren op berichten
Je mag niet bijlagen posten
Je mag niet je berichten bewerken

BB code is Aan
Smilies zijn Aan
[IMG] code is Aan
HTML code is Uit

Forumnavigatie


Alle tijden zijn GMT +1. De tijd is nu 17:46.